Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.application5
Class WebTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.application5.WebTypeImpl<T>

All Implemented Interfaces:
  WebType<T>, org.jboss.shrinkwrap.descriptor.api.Child<T>

    public class WebTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, WebType<T>

This class implements the `webType` xsd type

Original Documentation:

The webType defines the web-uri and context-root of
a web application module.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`WebTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`WebTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getContextRoot()` Returns the `context-root` element
`java.lang.String` | `getWebUri()` Returns the `web-uri` element
`WebType<T>` | `removeContextRoot()` Removes the `context-root` element
`WebType<T>` | `removeWebUri()` Removes the `web-uri` element
`WebType<T>` | `setContextRoot(java.lang.String contextRoot)` If not already created, a new `context-root` element with the given value will be created.
`WebType<T>` | `setWebUri(java.lang.String webUri)` If not already created, a new `web-uri` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebTypeImpl

    public WebTypeImpl(T t,
                       java.lang.String nodeName,
                       org.jboss.shrinkwrap.descriptor.spi.Node node)

### WebTypeImpl

    public WebTypeImpl(T t,
                       java.lang.String nodeName,
                       org.jboss.shrinkwrap.descriptor.spi.Node node,
                       org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setWebUri

    public WebType<T> setWebUri(java.lang.String webUri)

  If not already created, a new `web-uri` element with the given value will be created. Otherwise, the existing `web-uri` element will be updated with the given value.

  Specified by:
    `setWebUri` in interface `WebType<T>`
  Returns:
    the current instance of `WebType`

### removeWebUri

    public WebType<T> removeWebUri()

  Removes the `web-uri` element

  Specified by:
    `removeWebUri` in interface `WebType<T>`
  Returns:
    the current instance of `WebType`

### getWebUri

    public java.lang.String getWebUri()

  Returns the `web-uri` element

  Specified by:
    `getWebUri` in interface `WebType<T>`
  Returns:
    the node defined for the element `web-uri`

### setContextRoot

    public WebType<T> setContextRoot(java.lang.String contextRoot)

  If not already created, a new `context-root` element with the given value will be created. Otherwise, the existing `context-root` element will be updated with the given value.

  Specified by:
    `setContextRoot` in interface `WebType<T>`
  Returns:
    the current instance of `WebType`

### removeContextRoot

    public WebType<T> removeContextRoot()

  Removes the `context-root` element

  Specified by:
    `removeContextRoot` in interface `WebType<T>`
  Returns:
    the current instance of `WebType`

### getContextRoot

    public java.lang.String getContextRoot()

  Returns the `context-root` element

  Specified by:
    `getContextRoot` in interface `WebType<T>`
  Returns:
    the node defined for the element `context-root`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD